</div>
<?php
if (is_front_page() && is_active_sidebar('notice-bar')) {
?>
  <div class="notice-area">
    <div class="container">
      <div class="row">
        <div class="col">
          <?php dynamic_sidebar('notice-bar'); ?>
        </div>
      </div>
    </div>
  </div>
<?php
}
if (is_front_page() && is_active_sidebar('event-bar')) {
?>
  <div class="event-area">
    <div class="container">
      <div class="row">
        <div class="col">
          <?php dynamic_sidebar('event-bar'); ?>
        </div>
      </div>
    </div>
  </div>
<?php
}
?>
<footer id="colophon" class="site-footer d-print-none">
  <div class="container">
    <div class="row footer-navigation">
      <div class="d-none d-md-block col-sm-3" id="usa-map">
        <img src="<?php echo esc_url(get_template_directory_uri() . '/img/usa-map' . ((get_theme_mod('usa_map_black', false)) ? '-black' : '-white') . '.svg'); ?>" alt="USA map" class="img-fluid">
      </div>
      <?php
      get_template_part('template-parts/footer', get_theme_mod('idaho_footer_layout', '5col'));
      if (get_theme_mod('idaho_fb') != '' || get_theme_mod('idaho_twitter') != '' || get_theme_mod('idaho_linkedin') != '' || get_theme_mod('idaho_instagram') != '' || get_theme_mod('idaho_flickr') != '' || get_theme_mod('idaho_youtube') != '' || get_theme_mod('idaho_feed') != '' || get_theme_mod('idaho_email') != '') {
      ?>
        <div class="col-12 col-sm-4 col-md-3 footer-widget social-area" aria-label="social-media">
          <?php
          if (get_theme_mod('idaho_fb') != '') {
            echo '<a class="no-icon-link social" href="https://facebook.com/' . esc_attr(get_theme_mod('idaho_fb')) . '" target="_blank" rel="noopener noreferrer"><i class="fab fa-2x fa-facebook-square"></i><span class="sr-only">Facebook Icon</span></a>';
          }
          if (get_theme_mod('idaho_twitter') != '') {
            echo '<a class="no-icon-link social" href="https://twitter.com/' . esc_attr(get_theme_mod('idaho_twitter')) . '" target="_blank" rel="noopener noreferrer"><i class="fab fa-2x fa-twitter-square"></i><span class="sr-only">Twitter Icon</span></a>';
          }
          if (get_theme_mod('idaho_linkedin') != '') {
            echo '<a class="no-icon-link social" href="https://linkedin.com/' . esc_attr(get_theme_mod('idaho_linkedin')) . '" target="_blank" rel="noopener noreferrer"><i class="fab fa-2x fa-linkedin"></i><span class="sr-only">LinkedIn Icon</span></a>';
          }
          if (get_theme_mod('idaho_instagram') != '') {
            echo '<a class="no-icon-link social" href="https://instagram.com/' . esc_attr(get_theme_mod('idaho_instagram')) . '" target="_blank" rel="noopener noreferrer"><i class="fab fa-2x fa-instagram"></i><span class="sr-only">Instagram Icon</span></a>';
          }
          if (get_theme_mod('idaho_flickr') != '') {
            echo '<a class="no-icon-link social" href="https://flickr.com/photos/' . esc_attr(get_theme_mod('idaho_flickr')) . '" target="_blank" rel="noopener noreferrer"><i class="fab fa-2x fa-flickr"></i><span class="sr-only">Flickr Icon</span></a>';
          }
          if (get_theme_mod('idaho_youtube') != '') {
            echo '<a class="no-icon-link social" href="https://youtube.com/' . esc_attr(get_theme_mod('idaho_youtube')) . '" target="_blank" rel="noopener noreferrer"><i class="fab fa-2x fa-youtube-square"></i><span class="sr-only">YouTube Icon</span></a>';
          }
          if (get_theme_mod('idaho_feed') != '') {
            echo '<a class="no-icon-link social" href="';
            echo site_url();
            echo '/feed/rss/" target="_blank" rel="noopener noreferrer"><i class="fas fa-2x fa-rss-square"></i><span class="sr-only">RSS Feed Icon</span></a>';
          }
          if (get_theme_mod('idaho_email') != '') {
            echo '<a class="no-icon-link social" href="mailto:' . esc_attr(get_theme_mod('idaho_email')) . '"><i class="fas fa-2x fa-envelope-square"></i><span class="sr-only">Envelope Icon</span></a>';
          }
          ?>
        </div>
      <?php } ?>
    </div>
    <div class="row">
      <div class="footer-links mx-auto align-middle" aira-label="State of Idaho required links">
        <a href="https://idaho.gov" target="_blank" rel="noopener noreferrer">Idaho.gov</a> |
        <a href="https://idaho.gov/about-us/accessibility/" target="_blank" rel="noopener noreferrer">Accessibility</a> |
        <a href="https://cybersecurity.idaho.gov/" target="_blank">Cybersecurity</a> |
        <a href="https://idaho.gov/about-us/privacy-policy/" target="_blank" rel="noopener noreferrer">Privacy</a> |
        <a href="https://www.idaho.gov/about-us/legal-notices/" target="_blank" rel="noopener noreferrer">Legal Notices</a> |
        <a href="https://idaho.gov/about-us/security-policy/" target="_blank" rel="noopener noreferrer">Security</a>
      </div>
    </div>
  </div>
</footer>

<script>
  var w = $(window).width();
  if (w > 768) {} else {
    $('.nav-tabs').scrollingTabs();
  }
  $(window).resize(function() {
    if (w > 768) {
      if ($('.scrtabs-tab-container').length) {
        $('.nav-tabs').scrollingTabs('destroy');
      }
    } else {
      if (!$('.scrtabs-tab-container').length) {
        $('.nav-tabs').scrollingTabs();
      }
    }
    w = $(window).width();
  });
  $(document).ready(function() {
    $('iframe').iFrameResize({
      log: true,
      enablePublicMethods: true,
      heightCalculationMethod: 'max'
    });
  });
  $("a[target!='_blank'][href$='.pdf']").attr("target", "_blank");
</script>
<?php if (get_theme_mod('idaho_google_analytics') != "") { ?>
  <script>
    $('.dropdown-toggle').click(function() {
      if ($(window).width() > 768)
        if ($(this).next('.dropdown-menu').is(':visible')) window.location = $(this).attr('href');
    });
    (function(i, s, o, g, r, a, m) {
      i['GoogleAnalyticsObject'] = r;
      i[r] = i[r] || function() {
        (i[r].q = i[r].q || []).push(arguments)
      }, i[r].l = 1 * new Date();
      a = s.createElement(o), m = s.getElementsByTagName(o)[0];
      a.async = 1;
      a.src = g;
      m.parentNode.insertBefore(a, m)
    })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');
    ga('create', '<?php echo get_theme_mod("idaho_google_analytics"); ?>', 'auto');
    ga('send', 'pageview');
  </script>
<?php }
wp_footer();
if (get_theme_mod('idaho_topper', false)) {
  echo '<a role="button" href="#" id="back-to-top" title="Back to top" role="back to top"><i class="fa fa-arrow-up top-icon" aria-hidden="true"></i><span class="sr-only">Jump back to top of page button</span></a>';
?>
  <script>
    $(function() {
      $(window).scroll(function() {
        if ($(this).scrollTop() > 100) {
          $('#back-to-top').fadeIn();
        } else {
          $('#back-to-top').fadeOut();
        }
      });
      $('#back-to-top').click(function() {
        $('html, body').animate({
          scrollTop: 0
        }, 800);
        return false;
      });
    });
  </script>
<?php } ?>
</body>

</html>