<?php $theme_dir = get_template_directory_uri() . '/img/social-img.jpg';
$show_search = (bool) true; ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
    <?php include_once('inc/inc-header.php');
    wp_head();
    if ((get_theme_mod('idaho_gcs_id', false)) && (get_theme_mod('idaho_gcs_id') !== '')) { ?>
    <script>
    (function() {
        var cx = '<?php echo get_theme_mod("idaho_gcs_id"); ?>';
        var gcse = document.createElement('script');
        gcse.type = 'text/javascript';
        gcse.async = true;
        gcse.src = 'https://cse.google.com/cse.js?cx=' + cx;
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(gcse, s);
    })();
    window.onload = function() {
        document.getElementById('gsc-i-id1').placeholder = "Agency Search";
    };
    </script>
    <?php } ?>
</head>

<body <?php body_class(); ?> id="site-body">
    <!--[if lt IE 10]>
  	<div class="alert alert-warning alert-dismissible" role="alert">
  		<button class="btn btn-primary close" aria-hidden="true" data-dismiss="alert" type="button" aria-label="close">×</button>
  		<strong>You're using an unsupported version of Internet Explorer, and this site's functionality is greatly reduced.</strong>
  		<p><a href="https://support.microsoft.com/en-us/help/17621" target="_blank" rel="noopener noreferrer" class="alert-link">Upgrade Internet Explorer</a> or install a <a href="https://browsehappy.com" target="_blank" rel="noopener noreferrer" class="alert-link">modern browser</a>, or contact your system administrator.</p>
  	</div>
	<![endif]-->
    <?php
    if (get_theme_mod('idaho_gcs_id') === '' || get_theme_mod('idaho_gcs_id') == NULL) {
        $show_search = (bool) false;
    }
    if (get_theme_mod('idaho_search_header', false)) {
        $show_search = (bool) false;
    }
    ?>
    <div class="content-wrapper">
        <a href="#main" class="skip-link">Skip to main content</a>
        <div class="top-navigation d-print-none">
            <div class="row">
                <div class="col-2 col-md-5"><img class="img-fluid idaho-logo mr-2"
                        src="<?php echo get_template_directory_uri(); ?>/img/idaho.svg" alt="Idaho" width="50" /> <span
                        class="d-none d-lg-inline">Official Government Website</span></div>
                <div class="col-10 col-md-7 d-sm-inline align-self-end"><?php idaho_webmaster_bs_nav_top(); ?></div>
            </div>
        </div>
        <div id="page" class="hfeed site">
            <header id="masthead" class="site-header" itemscope itemtype="https://schema.org/Organization">
                <div class="row align-items-center d-flex" style="border-bottom: solid 2px #eee;">
                    <?php if (get_theme_mod('agency_logo')) { ?>
                    <div class="col-4 col-sm-3 col-md-2 offset-md-1 agency-logo pull-right">
                        <a itemprop="url" href="<?php echo esc_url(home_url('/')); ?>"
                            title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home"><img
                                class="img-fluid logo" src="<?php echo get_theme_mod('agency_logo'); ?>"
                                alt="agency logo"></a>
                    </div>
                    <?php } ?>
                    <div class="col-8 col-sm-9">
                        <div class="text-uppercase agency-name"><?php bloginfo('name'); ?></div>
                        <nav class="navbar navbar-expand-lg col-md-11 col-lg-10">
                            <?php
                            if (get_theme_mod('idaho_nav') === true) {
                                echo '<div class="mx-auto d-none d-lg-flex">';
                            } else {
                                echo '<div class="container d-none d-lg-flex">';
                            }
                            idaho_webmaster_bootstrap_nav();
                            ?>
                    </div>
                    <div class="d-none d-lg-flex col-lg-1 d-print-none">
                        <i class="fas fa-search fa-2x" data-toggle="collapse" data-target="#search-collapse"
                            aria-controls="search-collapse" aria-expanded="false" aria-label="Toggle search"><span
                                class="sr-only">Toggle search</span></i>
                    </div>
                    </nav>
                    <div class="collapse ml-auto" id="search-collapse">
                        <div class="d-none d-lg-block d-print-none" aria-label="search">
                            <gcse:search enableAutoComplete="true"></gcse:search>
                        </div>
                    </div>
                </div>
                <div class="row col-12">
                    <div id="toggle" class="toggle d-print-none d-flex d-lg-none mx-auto">
                        <div class="navbar-search ml-5 pr-5" data-toggle="collapse" data-target="#search-collapse2"
                            aria-controls="search-collapse2" aria-expanded="false" aria-label="Toggle search"><span
                                class="sr-only">Toggle search</span><i class="fas fa-search"></i></div>
                        <?php if (!max_mega_menu_is_enabled('primary')) { ?>
                        <div data-toggle="collapse" data-target="#main-navigation"><span class="sr-only">Toggle
                                navigation</span>MENU <i class="fas fa-bars"></i></div>
                        <?php } ?>
                    </div>
                </div>
        </div>
        <div class="row">
            <div class="collapse col-12" id="search-collapse2">
                <div class="d-block d-lg-none d-print-none" aria-label="search">
                    <gcse:search enableAutoComplete="true"></gcse:search>
                </div>
            </div>
        </div>
        <div class="row mnav">
            <div class="col-12 d-block d-lg-none"><?php idaho_webmaster_bootstrap_nav(); ?></div>
        </div>
        <?php if (get_theme_mod('homepage_choice') === 'hero' && is_front_page()) { ?>
        <div class="header-wrap">
          <h1 class="text-center align-middle text-white headerText mx-auto"><?php echo get_theme_mod('hero_text'); ?></h1>
          <div class="site-branding header-background"><?php if (get_theme_mod('hero_text') !== "") { ?>
          <?php } ?></div></div>
          <?php } ?>

        </header>
        <div class="site-content">
            <?php if (is_front_page() || is_404()) {
            } else { ?>
            <div class="container">
                <div class="row">
                    <nav aria-label="breadcrumbs">
                        <?php
                            if ('on' !== get_post_meta(get_the_ID(), '_idaho_breadcrumbs', 'off')) {
                                bootstrap_breadcrumb();
                            }
                            ?>
                    </nav>
                </div>
            </div>
            <?php } ?>
