<?php
function custom_get_category_parents($id, $visited = array()) {
  $chain = '';
  $parent = get_term($id, 'category');
  if (is_wp_error($parent))
    return $parent;
  $name = $parent->name;
  if ($parent->parent && ($parent->parent != $parent->term_id) && !in_array($parent->parent, $visited)) {
    $visited[] = $parent->parent;
    $chain .= custom_get_category_parents($parent->parent, $visited);
  }
  $chain .= '<li class="breadcrumb-item"><a href="' . esc_url(get_category_link($parent->term_id)) . '">' . $name. '</a>' . '</li>';
  return $chain;
}

function bootstrap_breadcrumb() {
  global $post;
  $html = '<ol class="breadcrumb">';
  if ((is_front_page()) || (is_home())) {}
  else {
    $html .= '<li class="breadcrumb-item"><a href="'.esc_url(home_url('/')).'" title="home"><i class="fas fa-home"></i> Home</a></li>';
    if (is_attachment()) {
      $parent = get_post($post->post_parent);
      $categories = get_the_category($parent->ID);
      if ($categories[0]) {
        $html .= custom_get_category_parents($categories[0]);
      }
      $html .= '<li class="breadcrumb-item"><a href="' . esc_url(get_permalink($parent)) . '">' . $parent->post_title . '</a></li>';
      $html .= '<li class="breadcrumb-item active">' . get_the_title() . '</li>';
    } elseif (is_page() && !is_front_page()) {
      $parent_id = $post->post_parent;
      $parent_pages = array();
      while ($parent_id) {
        $page = get_page($parent_id);
        $parent_pages[] = $page;
        $parent_id = $page->post_parent;
      }
      $parent_pages = array_reverse($parent_pages);
      if (!empty($parent_pages)) {
        foreach ($parent_pages as $parent) {
          $html .= '<li class="breadcrumb-item"><a href="' . esc_url(get_permalink($parent->ID)) . '">' . get_the_title($parent->ID) . '</a></li>';
        }
      }
      $html .= '<li class="breadcrumb-item active">' . get_the_title() . '</li>';
    } elseif (is_archive() && !is_tax() && !is_category() && !is_tag()) {
      // $html .= "<li class='breadcrumb-item active'>" . post_type_archive_title($prefix, false) . "</li>";
      $cat = get_the_category(get_query_var('cat'));
      $post_type = get_post_type_object(get_post_type());
      $slug = $post_type->labels->menu_name;
      $html .= "<li class='breadcrumb-item'>" . $slug . "</li>";
    } elseif (is_archive() && is_tax() && !is_category() && !is_tag()) {
      $post_type = get_post_type();
      if ($post_type != 'post') {
        $post_type_object = get_post_type_object($post_type);
        $post_type_archive = get_post_type_archive_link($post_type);
        $html .= "<li class='breadcrumb-item'><a href='" . $post_type_archive . "'>" . $post_type_object->labels->name . "</a></li>";
      }
      $custom_tax_name = get_queried_object()->name;
      $html .= "<li class='breadcrumb-item active'>" . $custom_tax_name . "</li>";
    } elseif (is_category() || is_single()) {
        $cat = get_the_category(get_query_var('cat'));
        if (is_single()) {
          if (get_post_type() != 'post') {
            $post_type = get_post_type_object(get_post_type());
            $slug = $post_type->labels->menu_name;
            $html .= "<li class='breadcrumb-item'>" . $slug . "</li>";
          } else {
            if ($cat[0]) {
              // $html .= "<li class='breadcrumb-item'>" . $cat[0]->name . "</li>";
            }
          }
          $html .= "<li class='breadcrumb-item active'>" . get_the_title() . "</li>";
        }
      }
    elseif ( is_tag() ) {
      $html .= '<li class="breadcrumb-item active">' . single_tag_title( '', false ) . '</li>';
    }
    elseif ( is_day() ) {
      $html .= '<li class="breadcrumb-item"><a href="' . esc_url( get_year_link( get_the_time( 'Y' ) ) ) . '">' . get_the_time( 'Y' ) . '</a></li>';
      $html .= '<li class="breadcrumb-item"><a href="' . esc_url( get_month_link( get_the_time( 'Y' ), get_the_time( 'm' ) ) ) . '">' . get_the_time( 'm' ) . '</a></li>';
      $html .= '<li class="breadcrumb-item active">' . get_the_time('d') . '</li>';
    }
    elseif ( is_month() ) {
      $html .= '<li class="breadcrumb-item"><a href="' . esc_url( get_year_link( get_the_time( 'Y' ) ) ) . '">' . get_the_time( 'Y' ) . '</a></li>';
      $html .= '<li class="breadcrumb-item active">' . get_the_time( 'F' ) . '</li>';
    }
    elseif ( is_year() ) {
      $html .= '<li class="breadcrumb-item active">' . get_the_time( 'Y' ) . '</li>';
    }
    elseif ( is_author() ) {
      $html .= '<li class="breadcrumb-item active">' . get_the_author() . '</li>';
    }
    elseif ( is_search() ) {
      $html .= "<li class='breadcrumb-item'>Search Results</li>";
    }
    elseif ( is_404() ) {
      $html .= "<li class='breadcrumb-item active'>ERROR</li>";
    }
    elseif (tribe_is_month() && !is_tax()) {
      $html .= "<li class='breadcrumb-item'>Events Calendar</li>";
    }
    elseif (tribe_is_month() && is_tax()) {
      $term_slug = $wp_query->query_vars['tribe_events_cat'];
      $term = get_term_by('slig', $term_slug, 'tribe_events_cat');
      get_term($term_id, 'tribe_events_cat');
      $name = $term->name;
      $html .= "<li class='breadcrumb-item'><a href='" . tribe_get_events_link() . "'>Events</a></li><li class='breadcrumb-item active'>" . $name . "</li>";
    }
    elseif (tribe_is_event() && !tribe_is_day() && !is_single()) {
      $html .= "<li class='breadcrumb-item'>Events List</li>";
    }
    elseif (tribe_is_event() && is_single()) {
      $html .= "<li class='breadcrumb-item'><a href='" . tribe_get_events_link() . "'>Events</a></li><li class='breadcrumb-item active'>" . the_title() . "</li>";
    }
    elseif (tribe_is_day()) {
      $html .= "<li class='breadcrumb-item'><a href='";
      $html .= tribe_get_events_link() . "'>Events</a></li><li class='breadcrumb-item active'>Events on: ";
      $html .= date('F j, Y', strtotime($wp_guery->query_vars['eventDate'])) . "</li>";
    }
  }
  $html .= '</ol>';
  echo $html;
}
