<?php
function idaho_webmaster_custom_header_setup() {
	$color_scheme    = idaho_webmaster_get_color_scheme();
	$default_color	 = trim($color_scheme[0], '#');
	add_theme_support('custom-header', apply_filters('idaho_webmaster_custom_header_args', array(
		'default-image'          => get_template_directory_uri() . '/img/header.jpg',
		'default-text-color'     => $default_color,
		'width'                  => 1220,
		'height'                 => 530,
		'flex-height'            => true,
		'uploads'       		 => true,
		'wp-head-callback'       => 'idaho_webmaster_header_style',
		'admin-head-callback'    => 'idaho_webmaster_admin_header_style',
		'admin-preview-callback' => 'idaho_webmaster_admin_header_image',
	)));
}
add_action('after_setup_theme', 'idaho_webmaster_custom_header_setup');

if (!function_exists('idaho_webmaster_header_style')) {
	function idaho_webmaster_header_style() {
		$header_image = get_header_image();
		?>
		<style type="text/css">#masthead .header-background {background-image: url(<?php echo esc_attr($header_image);?>);background-repeat: no-repeat;background-position: center;background-size: cover;</style>
	<?php }
}