<?php
include_once('color.php');

function idaho_webmaster_customize_register($wp_customize)
{
	$theme_dir = get_template_directory_uri() . '/img/social-img.jpg';
	$color_scheme = idaho_webmaster_get_color_scheme();
	$wp_customize->get_setting('blogname')->transport         = 'postMessage';
	$wp_customize->get_setting('blogdescription')->transport  = 'postMessage';
	$wp_customize->remove_control('background_repeat');
	$wp_customize->remove_control('background_attachment');
	$wp_customize->remove_control('display_header_text');
	$wp_customize->remove_control('header_textcolor');

	$wp_customize->add_section('header_image', array(
		'title'		=> __('Hero Image', 'idaho-v3-alt'),
		'priority'	=> 80,
		'capability' => 'edit_theme_options',
	));


	$wp_customize->add_section('agency_logo_section', array(
		'title'       	=> __('Agency Logo', 'idaho-v3-alt'),
		'priority'    	=> 30,
		'capability' 	=> 'edit_theme_options',
		'description' 	=> 'Upload agency logo'
	));

	$wp_customize->add_setting('agency_logo', array(
		'sanitize_callback' => 'sanitize_text_field'
	));

	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'agency_logo', array(
		'label'    		=> __('Agency Logo', 'idaho-v3-alt'),
		'section'  		=> 'agency_logo_section',
		'capability' 	=> 'edit_theme_options',
		'settings' 		=> 'agency_logo'
	)));

	$wp_customize->add_section('idaho_social_media', array(
		'title'			=> __('Social Media', 'idaho-v3-alt'),
		'description' 	=> __('Leaving a field empty will disable the social media icon on your website.', 'idaho-v3-alt'),
	));

	$wp_customize->add_setting('idaho_social', array(
		'default' => true,
		'capability' => 'edit_theme_options'
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'idaho_social', array(
		'label'			=> __('No Social Media Accounts', 'idaho-v3-alt'),
		'section'		=> 'idaho_social_media',
		'settings'		=> 'idaho_social',
		'type'			=> 'checkbox',
	)));

	$wp_customize->add_setting('idaho_fb', array(
		'default'			=> '',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'idaho_fb', array(
		'label'			=> __('Facebook ID', 'idaho-v3-alt'),
		'description'	=> __('Your Facebook ID is the part following https://facebook.com/', 'idaho-v3-alt'),
		'section'		=> 'idaho_social_media',
		'settings'		=> 'idaho_fb',
		'type'			=> 'text',
	)));

	$wp_customize->add_setting('idaho_twitter', array(
		'default'			=> '',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'idaho_twitter', array(
		'label'			=> __('Twitter Handle', 'idaho-v3-alt'),
		'description'	=> __('Your Twitter handle is the part begining with an @ symbol', 'idaho-v3-alt'),
		'section'		=> 'idaho_social_media',
		'settings'		=> 'idaho_twitter',
		'type'			=> 'text',
	)));

	$wp_customize->add_setting('idaho_linkedin', array(
		'default'			=> '',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'idaho_linkedin', array(
		'label'			=> __('LinkedIn Handle', 'idaho-v3-alt'),
		'description'	=> __('Your LinkedIn handle is the part following https://linkedin.com/', 'idaho-v3-alt'),
		'section'		=> 'idaho_social_media',
		'settings'		=> 'idaho_linkedin',
		'type'			=> 'text',
	)));

	$wp_customize->add_setting('idaho_instagram', array(
		'default'			=> '',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'idaho_instagram', array(
		'label'			=> __('Instagram User ID', 'idaho-v3-alt'),
		'description'	=> __('Your Instagram User ID is the part following https://instagram.com/', 'idaho-v3-alt'),
		'section'		=> 'idaho_social_media',
		'settings'		=> 'idaho_instagram',
		'type'			=> 'text',
	)));

	$wp_customize->add_setting('idaho_flickr', array(
		'default'			=> '',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'idaho_flickr', array(
		'label'			=> __('Flickr ID', 'idaho-v3-alt'),
		'description'	=> __('Your Flickr ID is the part following https://flickr.com/photos/', 'idaho-v3-alt'),
		'section'		=> 'idaho_social_media',
		'settings'		=> 'idaho_flickr',
		'type'			=> 'text',
	)));

	$wp_customize->add_setting('idaho_youtube', array(
		'default'			=> '',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'idaho_youtube', array(
		'label'			=> __('YouTube ID', 'idaho-v3-alt'),
		'section'		=> 'idaho_social_media',
		'settings'		=> 'idaho_youtube',
		'type'			=> 'text',
	)));

	$wp_customize->add_setting('idaho_feed', array(
		'default'			=> '',
		'capability'		=> 'edit_theme_options',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'idaho_feed', array(
		'label'			=> __('RSS Feed', 'idaho-v3-alt'),
		'description'	=> __('Tick the box to turn on RSS feed availability.', 'idaho-v3-alt'),
		'section'		=> 'idaho_social_media',
		'settings'		=> 'idaho_feed',
		'type'			=> 'checkbox',
	)));

	$wp_customize->add_setting('idaho_email', array(
		'default'			=> '',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'idaho_email', array(
		'label'			=> __('Contact eMail Icon', 'idaho-v3-alt'),
		'description'	=> __('Enter the eMail address that is the main contact for your agency.', 'idaho-v3-alt'),
		'section'		=> 'idaho_social_media',
		'settings'		=> 'idaho_email',
		'type'			=> 'text',
	)));

	$wp_customize->add_setting('idaho_site_desc', array(
		'default'			=> '',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'idaho_site_desc', array(
		'label'			=> __('Website Summary Description', 'idaho-v3-alt'),
		'description'	=> __('This summary text will help showcase your website accurately to social media.', 'idaho-v3-alt'),
		'section'		=> 'idaho_social_media',
		'settings'		=> 'idaho_site_desc',
		'type'			=> 'textarea',
	)));

	$wp_customize->add_setting('idaho_site_img', array(
		'default'		=> $theme_dir,
		'capability'	=> 'edit_theme_options',
	));

	$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'idaho_site_img', array(
		'label'			=> __('Social Media Image', 'idaho-v3-alt'),
		'description'	=> __('A visual image that is shown with your social media share. Max size is 1200 x 900.', 'idaho-v3-alt'),
		'section'		=> 'idaho_social_media',
		'settings'		=> 'idaho_site_img',
		'context'		=> 'my-custom-social-media-image',
		'flex_height'	=> false,
		'width'			=> 1200,
		'height'		=> 900,
	)));

	$wp_customize->add_section('idaho_settings', array(
		'title' => __('Settings', 'idaho-v3-alt'),
	));

	$wp_customize->add_setting('idaho_google_analytics', array(
		'default' 			=> '',
		'capability'  		=> 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'idaho_google_analytics', array(
		'label'       	=> __('Google Analytics ID', 'idaho-v3-alt'),
		'description'	=> __('Helps track your site\'s visitors using Google Analytics', 'idaho-v3-alt'),
		'section'     	=> 'idaho_settings',
		'settings'    	=> 'idaho_google_analytics',
		'type'        	=> 'text',
	)));

	$wp_customize->add_setting('idaho_gcs_id', array(
		'default'			=> '',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'idaho_gcs_id', array(
		'label'			=> __('Google Custom Search ID', 'idaho-v3-alt'),
		'description'	=> __('For search box to work you need a GCS ID', 'idaho-v3-alt'),
		'section'		=> 'idaho_settings',
		'settings'		=> 'idaho_gcs_id',
		'type'			=> 'text',
	)));

	$wp_customize->add_setting('idaho_footer_layout', array(
		'default'       	=> '5col',
		'capability'     	=> 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	));

	$wp_customize->add_control('idaho_footer_layout', array(
		'settings' 		=> 'idaho_footer_layout',
		'label'   		=> __('Footer Layout', 'idaho-v3-alt'),
		'description' 	=> __('This determines the footer layout at the bottom of the page', 'idaho-v3-alt'),
		'section' 		=> 'idaho_settings',
		'type'    		=> 'select',
		'choices'    	=> array(
			'5col' 	=> 'Three column footer',
			'2col'	=> 'Two column footer',
		),
	));

	$wp_customize->add_setting('homepage_choice', array(
		'capability'	=> 'edit_theme_options',
		'transport'		=> 'postMessage'
	));

	$wp_customize->add_control('homepage_choice', array(
		'type'			=> 'radio',
		'section'		=> 'idaho_settings',
		'label'			=> __('Hero Image or Slider?', 'idaho-v3-alt'),
		'description'	=> __('You can either have a hero image with text or a Slider of images in the header but not both.', 'idaho-v3-alt'),
		'priority'		=> 1,
		'choices'		=> array(
			'hero'		=> __('Hero Image', 'idaho-v3-alt'),
			'slider' 	=> __('Slider', 'idaho-v3-alt'),
		),
	));

	$wp_customize->add_setting('hero_text', array(
		'capability'		=> 'edit_theme_options',
	));

	$wp_customize->add_control('hero_text', array(
		'type'		=> 'textarea',
		'section'	=> 'idaho_settings',
		'label'		=> __('Hero Area Text', 'idaho-v3-alt'),
	));

	$wp_customize->add_setting('usa_map_black', array(
		'type'			=> 'theme_mod',
		'default'		=> false,
		'transport'		=> 'refresh'
	));

	$wp_customize->add_control('usa_map_black', array(
		'settings'		=> 'usa_map_black',
		'label'			=> __('Use Black USA Map', 'webmaster-bs4'),
		'description'	=> __('Switches the USA map from white to black.', 'webmaster-bs-4'),
		'section'		=> 'idaho_settings',
		'type'			=> 'checkbox'
	));

	$wp_customize->add_setting('idaho_search_header', array(
		'default'   		=> false,
		'transport'			=> 'postMessage'
	));

	$wp_customize->add_control('idaho_search_header', array(
		'settings' 		=> 'idaho_search_header',
		'label'    		=> __('Disable search field', 'idaho-v3-alt'),
		'description' 	=> __('This will hide the search field in the header on every page.', 'idaho-v3-alt'),
		'section'  		=> 'idaho_settings',
		'type'     		=> 'checkbox',
	));

	$wp_customize->add_setting('idaho_topper', array(
		'default'	=> false,
		'transport'	=> 'postMessage'
	));

	$wp_customize->add_control('idaho_topper', array(
		'settings'		=> 'idaho_topper',
		'label'			=> __('Use "Back to Top" feature', 'idaho-v3-alt'),
		'description'	=> __('This will initiate the Back to Top feature.', 'idaho-v3-alt'),
		'section'		=> 'idaho_settings',
		'type'			=> 'checkbox',
	));

	$wp_customize->add_setting('color_scheme', array(
		'default'           => 'default',
		'sanitize_callback' => 'idaho_webmaster_sanitize_color_scheme',
		'capability'		=> 'edit_theme_options',
		'transport'         => 'postMessage',
	));

	$wp_customize->add_control('color_scheme', array(
		'label'    => __('Base Color Scheme', 'idaho-v3-alt'),
		'section'  => 'colors',
		'type'     => 'select',
		'choices'  => idaho_webmaster_get_color_scheme_choices(),
		'priority' => 1,
	));

	$wp_customize->add_setting('idaho_color_link', array(
		'default' 			=> $color_scheme[0],
		'capability'  		=> 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'   		=> 'postMessage',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'idaho_color_link', array(
		'label' 	=> __('Link Color', 'idaho-v3-alt'),
		'section' 	=> 'colors',
		'settings' 	=> 'idaho_color_link',
	)));

	$wp_customize->add_setting('idaho_color_light_blue', array(
		'default' 			=> $color_scheme[1],
		'capability'  		=> 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'   		=> 'postMessage',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'idaho_color_light_blue', array(
		'label' 	=> __('U.S. Map Color', 'idaho-v3-alt'),
		'section' 	=> 'colors',
		'settings' 	=> 'idaho_color_light_blue',
	)));

	$wp_customize->add_setting('idaho_color_ui_blue', array(
		'default' 			=> $color_scheme[2],
		'capability'  		=> 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'   		=> 'postMessage',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'idaho_color_ui_blue', array(
		'label' 	=> __('Footer Background Color', 'idaho-v3-alt'),
		'section' 	=> 'colors',
		'settings' 	=> 'idaho_color_ui_blue',
	)));

	$wp_customize->add_setting('idaho_color_secondary', array(
		'default' 			=> $color_scheme[3],
		'capability'  		=> 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'   		=> 'postMessage',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'idaho_color_secondary', array(
		'label' 	=> __('Page Heading Color', 'idaho-v3-alt'),
		'section' 	=> 'colors',
		'settings' 	=> 'idaho_color_secondary',
	)));

	$wp_customize->add_setting('idaho_color_home_panel', array(
		'default' 			=> $color_scheme[4],
		'capability'  		=> 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'   		=> 'postMessage',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'idaho_color_home_panel', array(
		'label' 	=> __('Home Panel Color', 'idaho-v3-alt'),
		'section' 	=> 'colors',
		'settings' 	=> 'idaho_color_home_panel',
	)));
}
add_action('customize_register', 'idaho_webmaster_customize_register');

function idaho_webmaster_get_color_schemes()
{
	return apply_filters('idaho_webmaster_color_schemes', array(
		'default' => array(
			'label'  => __('Classic', 'idaho-v3-alt'),
			'colors' => array(
				'#007ea7', // Link
				'#003459', // Footer Background
				'#000000', // Heading 2
				'#a9a9a9', // Home Panel
			),
		),
		'modern' => array(
			'label'  => __('Modern', 'idaho-v3-alt'),
			'colors' => array(
				'#0c7e97', // Link
				'#0c7e97', // Footer Background
				'#fe924c', // Heading 2
				'#cccccc', // Home Panel
			),
		),
		'nature' => array(
			'label'  => __('Nature', 'idaho-v3-alt'),
			'colors' => array(
				'#0c7e97', // Link
				'#31865c', // Footer 
				'#000000', // Heading 2
				'#b1cdd3', // Home Panel
			),
		),
	));
}

if (!function_exists('idaho_webmaster_get_color_scheme')) {
	function idaho_webmaster_get_color_scheme()
	{
		$color_scheme_option = get_theme_mod('color_scheme', 'default');
		$color_schemes       = idaho_webmaster_get_color_schemes();
		if (array_key_exists($color_scheme_option, $color_schemes)) {
			return $color_schemes[$color_scheme_option]['colors'];
		}
		return $color_schemes['default']['colors'];
	}
}

if (!function_exists('idaho_webmaster_get_color_scheme_choices')) {
	function idaho_webmaster_get_color_scheme_choices()
	{
		$color_schemes = idaho_webmaster_get_color_schemes();
		$color_scheme_control_options = array();
		foreach ($color_schemes as $color_scheme => $value) {
			$color_scheme_control_options[$color_scheme] = $value['label'];
		}
		return $color_scheme_control_options;
	}
}

if (!function_exists('idaho_webmaster_sanitize_color_scheme')) {
	function idaho_webmaster_sanitize_color_scheme($value)
	{
		$color_schemes = idaho_webmaster_get_color_scheme_choices();
		if (!array_key_exists($value, $color_schemes)) {
			return 'default';
		}
		return $value;
	}
}

function idaho_webmaster_color_scheme_css()
{
	$color_scheme_option = get_theme_mod('color_scheme', 'default');
	if ('default' === $color_scheme_option) {
		return;
	}
	$color_scheme = idaho_webmaster_get_color_scheme();
	$colors = array(
		'idaho_color_link'      	=> $color_scheme[0],
		'idaho_color_ui_blue'  		=> $color_scheme[1],
		'idaho_color_secondary'  	=> $color_scheme[2],
		'idaho_color_home_panel'  	=> $color_scheme[3],
	);
	$color_scheme_css = idaho_webmaster_get_color_scheme_css($colors);
	wp_add_inline_style('idaho-v3-alt-style', $color_scheme_css);
}
add_action('wp_enqueue_scripts', 'idaho_webmaster_color_scheme_css');

function ai_setup()
{
	// add to Gutenberg
	$ai_color_options = array(
		array(
			'name'			=> esc_html__('Link Color', 'idaho-v3-alt'),
			'description'	=> esc_html('Used on all links', 'idaho-v3-alt'),
			'slug'			=> 'ai-link',
			'option'		=> 'ai_link_color',
			'default'		=> '#007ea7',
			'transport'		=> 'postMessage'
		),
		array(
			'name'			=> esc_html__('Footer Background Color', 'idaho-v3-alt'),
			'description'	=> esc_html('Background color in the Footer', 'idaho-v3-alt'),
			'slug'			=> 'ai-footer-bkg',
			'option'		=> 'ai_footerbkg_color',
			'default'		=> '#003459',
			'transport'		=> 'postMessage'
		),
		array(
			'name'			=> esc_html__('Headings Color', 'idaho-v3-alt'),
			'description'	=> esc_html('Heading Color', 'idaho-v3-alt'),
			'slug'			=> 'ai-heading',
			'option'		=> 'ai_heading_color',
			'default'		=> '#fe924c',
			'transport'		=> 'postMessage'
		),
		array(
			'name'			=> esc_html__('Home Panel Color', 'idaho-v3-alt'),
			'description'	=> esc_html('Panels on the Homepage', 'idaho-v3-alt'),
			'slug'			=> 'ai-home',
			'option'		=> 'ai_home_color',
			'default'		=> '#a9a9a9',
			'transport'		=> 'postMessage'
		),
		array(
			'name'			=> esc_html__('White Color', 'idaho-v3-alt'),
			'description'	=> esc_html('', 'idaho-v3-alt'),
			'slug'			=> 'ai-white',
			'option'		=> 'ai_white_color',
			'default'		=> '#ffffff',
			'transport'		=> 'postMessage'
		),
		array(
			'name'			=> esc_html__('Black Color', 'idaho-v3-alt'),
			'description'	=> esc_html('', 'idaho-v3-alt'),
			'slug'			=> 'ai-black',
			'option'		=> 'ai_black_color',
			'default'		=> '#000000',
			'transport'		=> 'postMessage'
		)
	);
	$ai_color_palette = array();
	$ai_color_scheme = idaho_webmaster_get_color_schemes();
	foreach ($ai_color_options as $color) {
		$ai_color_palette[] = array(
			'name' => $color['name'],
			'slug' => $color['slug'],
			'color' => esc_html(get_theme_mod($color['option'], $color['default']))
		);
	}
	add_theme_support('editor-color-palette', $ai_color_palette);
}
add_action('after_setup_theme', 'ai_setup');

function idaho_webmaster_customize_control_js()
{
	wp_enqueue_script('color-scheme-control', get_template_directory_uri() . '/js/color-scheme-control.js', array('customize-controls', 'iris', 'underscore', 'wp-util'));
	wp_localize_script('color-scheme-control', 'colorScheme', idaho_webmaster_get_color_schemes());
}
add_action('customize_controls_enqueue_scripts', 'idaho_webmaster_customize_control_js');

function idaho_webmaster_customize_preview_js()
{
	wp_enqueue_script('idaho_webmaster_customizer_jss', get_template_directory_uri() . '/js/jss.min.js');
	wp_enqueue_script('idaho_webmaster_customizer_tinycolor', get_template_directory_uri() . '/js/tinycolor-min.js');
	wp_enqueue_script('idaho_webmaster_customizer', get_template_directory_uri() . '/js/customizer.js', array('idaho_webmaster_customizer_jss', 'customize-preview'));
}
add_action('customize_preview_init', 'idaho_webmaster_customize_preview_js');

function idaho_webmaster_shift_hsl_to($color, $original)
{
	$color_hsl = Color::hexToHsl($color);
	$original_hsl = Color::hexToHsl($original);
	$color_hsl['S'] = $original_hsl['S'];
	$color_hsl['L'] = $original_hsl['L'];
	return '#' . Color::hslToHex($color_hsl);
}

function idaho_webmaster_get_color_scheme_css($colors)
{
	$colors = wp_parse_args($colors, array(
		'idaho_color_link'      	=> '',
		'idaho_color_ui_blue'  		=> '',
		'idaho_color_secondary'  	=> '',
		'idaho_color_home_panel'  	=> '',
	));

	$colors['idaho_color_ui_blue_shadow'] 	= idaho_webmaster_adjust_brightness($colors['idaho_color_ui_blue'], -50);

	return "/* Color Scheme */
	.pagination .page-link, a:hover, .link, a {
		color: {$colors['idaho_color_link']};
	}
	.site-footer, .versioning {
		background: {$colors['idaho_color_ui_blue']};
	}
	.site-footer h3 {
		border-bottom: 1px solid {$colors['idaho_color_home_panel']};
		color: {$colors['idaho_color_home_panel']};
	}
	.site-footer a {
		color: {$colors['idaho_color_home_panel']}; 
	}
	.site-footer a:hover {
		color: {$colors['idaho_color_ui_blue']};
	}
	h1, h2, h3, h4:not(.h4-responsive), h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
		color: {$colors['idaho_color_secondary']};
	}
	.event-area { background: {$colors['idaho_color_home_panel']}; }
	.card .card-heading {
		background: {$colors['idaho_color_home_panel']};
		border-color: {$colors['idaho_color_home_panel']};
		color: {$colors['idaho_color_home_panel']};
	}
	.tribe-list-widget div.tribe-event-duration, .tribe-list-widget .mulitiday {
		background: {$colors['idaho_color_ui_blue']};
	}
	.card {
		border-color: {$colors['idaho_color_home_panel']};
	}";
}

function idaho_webmaster_color_scheme_css_template()
{
	$colors = array(
		'idaho_color_link'      	=> '{{ data.idaho_color_link }}',
		'idaho_color_ui_blue'  		=> '{{ data.idaho_color_ui_blue }}',
		'idaho_color_secondary'  	=> '{{ data.idaho_color_secondary }}',
		'idaho_color_home_panel'  	=> '{{ data.idaho_color_home_panel }}',
	);
?>
	<script type="text/html" id="tmpl-idaho-v3-alt-color-scheme">
		<?php echo idaho_webmaster_get_color_scheme_css($colors); ?>
	</script>
<?php
}
add_action('customize_controls_print_footer_scripts', 'idaho_webmaster_color_scheme_css_template');

function idaho_webmaster_check_color($color)
{
	$color_index = array('idaho_color_link', 'idaho_color_light_blue', 'idaho_color_ui_blue', 'idaho_color_secondary', 'idaho_color_home_panel');
	$color_scheme    = idaho_webmaster_get_color_scheme();
	$default_color   = $color_scheme[array_search($color, $color_index)];
	$theme_color 	 = get_theme_mod($color, $default_color);

	if (strtolower($theme_color) === strtolower($default_color)) {
		return false;
	} else {
		return $theme_color;
	}
}

function idaho_webmaster_idaho_color_link_css()
{
	$color = idaho_webmaster_check_color('idaho_color_link');
	if (!$color) {
		return;
	}
	$css = 'a,
		.navbar-light .nav-link,
		.pagination .page-link,
		a:hover,
		.pagination .page-link {
			color: %1$s;
		}
	';
	wp_add_inline_style('idaho-v3-alt-style', sprintf($css, $color));
}
add_action('wp_enqueue_scripts', 'idaho_webmaster_idaho_color_link_css', 11);

function idaho_webmaster_idaho_color_ui_blue_css()
{
	$color = idaho_webmaster_check_color('idaho_color_ui_blue');
	if (!$color) {
		return;
	}
	$css = '.site-footer {
			background: %1$s;
		}
		#masthead .site-branding {
			border-bottom-color: %1$s;
		}
		.site-footer h3 {
			border-bottom: 1px solid %3$s;
			box-shadow: 0 1px 0 %2$s;
			color: %3$s !important;
		}
		.site-footer a {
			color: %4$s;
		}
		.site-footer a:hover {
			color: %3$s;
		}';
	wp_add_inline_style('idaho-v3-alt-style', sprintf($css, $color, idaho_webmaster_b_or_w($color), idaho_webmaster_b_or_w($color), $footer_links));
}
add_action('wp_enqueue_scripts', 'idaho_webmaster_idaho_color_ui_blue_css', 11);

function idaho_webmaster_idaho_color_light_blue_css()
{
	$color = idaho_webmaster_check_color('idaho_color_light_blue');
	if (!$color) {
		return;
	}
	$css = '';
	wp_add_inline_style('idaho-v3-alt-style', sprintf($css, $color, idaho_webmaster_b_or_w($color)));
}
add_action('wp_enqueue_scripts', 'idaho_webmaster_idaho_color_light_blue_css', 11);

function idaho_webmaster_idaho_color_secondary_css()
{
	$color = idaho_webmaster_check_color('idaho_color_secondary');
	if (!$color) {
		return;
	}
	$css = 'h1,h2,h3,h4:not(.h4-responsive),h5,h6,h1.entry-title,.h1,.h2,.h3,.h4,.h5,.h6 {
			color: %1$s;
		}';
	wp_add_inline_style('idaho-v3-alt-style', sprintf($css, $color));
}
add_action('wp_enqueue_scripts', 'idaho_webmaster_idaho_color_secondary_css', 11);

function idaho_webmaster_idaho_color_home_panel_css()
{
	$color = idaho_webmaster_check_color('idaho_color_home_panel');
	if (!$color) {
		return;
	}
	$css = '.card .card-heading {
			background: %1$s;
			border-color: %1$s;
			color: %2$s;
		}
		.card {
			border-color: %1$s;
		}';
	wp_add_inline_style('idaho-v3-alt-style', sprintf($css, $color, idaho_webmaster_b_or_w($color)));
}
add_action('wp_enqueue_scripts', 'idaho_webmaster_idaho_color_home_panel_css', 11);
